View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013811LazarusIDEpublic2009-05-24 20:252012-05-01 17:00
ReporterJesus Reyes 
Assigned ToMattias Gaertner 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version 
Summary0013811: Frames are not available within packages
DescriptionAfter adding a couple of frames to a package (Printer4Lazarus) they are not available to be used in new forms.

1. Open package Printer4Lazarus
2. Open unix\udlgprintersetup.pas
3. click TFrame button on standard page on component palette

the "View project frames" dialog will be empty. it should be "View Package Frames" and frames added to package should be listed.
TagsNo tags attached.
Fixed in Revision37121
LazTarget1.0
Widgetset
Attached Files

- Relationships

-  Notes
(0034267)
Scott (reporter)
2010-02-07 08:07

I am not sure if this is related or not, but when I just open the IDE and click TFrame to create one on the form, it displays a "View project frames" dialog which is empty.

This is on Windows XP Professional Service Pack 3 with Lazarus 0.9.28.2
(0059168)
Stephano (developer)
2012-05-01 17:00
edited on: 2012-05-01 17:03

@Scott: To create a new frame, click on Files/New then select Frame.

The TFrame component on the IDE component palette allows you to choose one of the project frames you have created.


- Issue History
Date Modified Username Field Change
2009-05-24 20:25 Jesus Reyes New Issue
2009-05-24 20:25 Jesus Reyes LazTarget => -
2009-05-24 20:26 Jesus Reyes Status new => assigned
2009-05-24 20:26 Jesus Reyes Assigned To => Mattias Gaertner
2009-05-24 20:28 Jesus Reyes Summary Frames are not available withing packages => Frames are not available within packages
2010-02-07 08:07 Scott Note Added: 0034267
2010-07-08 17:23 Mattias Gaertner LazTarget - => 1.0
2012-05-01 16:43 Mattias Gaertner Fixed in Revision => 37121
2012-05-01 16:43 Mattias Gaertner Status assigned => resolved
2012-05-01 16:43 Mattias Gaertner Resolution open => fixed
2012-05-01 17:00 Stephano Note Added: 0059168
2012-05-01 17:03 Stephano Note Edited: 0059168



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker